<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="17156" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="BYZ-38-t0r">
    <device id="retina5_9" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17126"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" customModule="Connect4" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="812"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <stackView opaque="NO" contentMode="scaleToFill" horizontalCompressionResistancePriority="1000" verticalCompressionResistancePriority="1000" axis="vertical" distribution="fillProportionally" alignment="center" spacing="130" translatesAutoresizingMaskIntoConstraints="NO" id="jF0-f7-fLS">
                                <rect key="frame" x="16" y="60" width="343" height="692"/>
                                <subviews>
                                    <stackView opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="DCb-Cy-Jzw">
                                        <rect key="frame" x="171.66666666666666" y="16" width="0.0" height="0.0"/>
                                        <subviews>
                                            <stackView opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" horizontalCompressionResistancePriority="1000" axis="vertical" distribution="fillEqually" spacing="8" translatesAutoresizingMaskIntoConstraints="NO" id="K9L-Ic-B05">
                                                <color key="backgroundColor" red="0.63772286340109696" green="0.92598364637305697" blue="0.31850268710395857" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" secondItem="K9L-Ic-B05" secondAttribute="height" multiplier="7:6" id="89B-FH-Qf8"/>
                                                </constraints>
                                                <directionalEdgeInsets key="directionalLayoutMargins" top="8" leading="8" bottom="8" trailing="8"/>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                                        <integer key="value" value="25"/>
                                                    </userDefinedRuntimeAttribute>
                                                </userDefinedRuntimeAttributes>
                                            </stackView>
                                        </subviews>
                                    </stackView>
                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" distribution="equalCentering" spacing="16" translatesAutoresizingMaskIntoConstraints="NO" id="gVL-v3-rmB">
                                        <rect key="frame" x="60" y="146" width="223" height="530"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Next player: Blue " textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="k0B-dU-Pad">
                                                <rect key="frame" x="0.0" y="0.0" width="223" height="36"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="30"/>
                                                <nil key="textColor"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="vvt-gM-FA0">
                                                <rect key="frame" x="0.0" y="494" width="223" height="36"/>
                                                <color key="backgroundColor" systemColor="tertiarySystemGroupedBackgroundColor"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="20"/>
                                                <state key="normal" title="Start new game"/>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                                        <integer key="value" value="15"/>
                                                    </userDefinedRuntimeAttribute>
                                                </userDefinedRuntimeAttributes>
                                                <connections>
                                                    <action selector="startNewGameOnClick" destination="BYZ-38-t0r" eventType="touchUpInside" id="NYw-jz-0An"/>
                                                </connections>
                                            </button>
                                        </subviews>
                                        <variation key="heightClass=compact" alignment="fill" distribution="equalSpacing"/>
                                        <variation key="widthClass=regular" distribution="equalSpacing" spacing="16"/>
                                    </stackView>
                                </subviews>
                                <directionalEdgeInsets key="directionalLayoutMargins" top="16" leading="8" bottom="16" trailing="8"/>
                                <variation key="heightClass=compact" axis="horizontal" distribution="fill" spacing="36"/>
                                <variation key="heightClass=regular" axis="vertical"/>
                                <variation key="heightClass=regular-widthClass=regular" alignment="center"/>
                            </stackView>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="jF0-f7-fLS" firstAttribute="centerX" secondItem="8bC-Xf-vdC" secondAttribute="centerX" id="GTQ-cH-ddp"/>
                            <constraint firstItem="jF0-f7-fLS" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" constant="16" id="Qfa-Xg-RYk"/>
                            <constraint firstItem="jF0-f7-fLS" firstAttribute="centerY" secondItem="8bC-Xf-vdC" secondAttribute="centerY" id="XMP-JU-bPm"/>
                            <constraint firstItem="jF0-f7-fLS" firstAttribute="top" secondItem="6Tk-OE-BBY" secondAttribute="top" constant="16" id="dba-h2-gdF"/>
                        </constraints>
                    </view>
                    <toolbarItems/>
                    <nil key="simulatedBottomBarMetrics"/>
                    <connections>
                        <outlet property="gameBoardStackView" destination="K9L-Ic-B05" id="EMq-mm-hWL"/>
                        <outlet property="nextPlayerLabel" destination="k0B-dU-Pad" id="sv4-jY-9xH"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="167.578125" y="139.23865300146412"/>
        </scene>
    </scenes>
    <resources>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="tertiarySystemGroupedBackgroundColor">
            <color red="0.94901960784313721" green="0.94901960784313721" blue="0.96862745098039216" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
